Package «gs-esp» is still needed in Oneric and higher

Bug #897309 reported by Pavlo Verba on 2011-11-28
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ghostscript (Ubuntu)
High
Unassigned
Oneiric
High
Unassigned

Bug Description

Some prineter drivers, namely those for Canon MFs still list it as dependency, and I am quite doubtful that we can get Canon to update the dependencies of packages.

Right now, users have to find it and manually download it, which is not nice.

Please, return it to the repositories.

dino99 (9d9) wrote :

you have gsfonts in the repositories, which is a free equivalent to:
(« gs- gpl », « gs-aflp » et « gs-esp »)

Hmm. I am not quite sure you understood my point, let me explain.

These packages are present, indeed and they provide the same functionality,
but I think we still need «gm-esp», or at least a metapackage named exactly
that, so the pre-compiled binaries containing proprietary drivers from
Canon would still install.

On Mon, Nov 28, 2011 at 7:36 PM, dino99 <email address hidden> wrote:

> you have gsfonts in the repositories, which is a free equivalent to:
> (« gs- gpl », « gs-aflp » et « gs-esp »)
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/897309
>
> Title:
> Package «gs-esp» is still needed in Oneric and higher
>
> Status in “ghostscript” package in Ubuntu:
> New
>
> Bug description:
> Some prineter drivers, namely those for Canon MFs still list it as
> dependency, and I am quite doubtful that we can get Canon to update
> the dependencies of packages.
>
> Right now, users have to find it and manually download it, which is
> not nice.
>
> Please, return it to the repositories.
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/ghostscript/+bug/897309/+subscriptions
>

Changed in ghostscript (Ubuntu):
status: New → Triaged
Changed in ghostscript (Ubuntu Oneiric):
status: New → Fix Committed
milestone: none → oneiric-updates
importance: Undecided → High
Changed in ghostscript (Ubuntu):
importance: Undecided → High
Changed in ghostscript (Ubuntu):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ghostscript - 9.04~dfsg-2ubuntu4

---------------
ghostscript (9.04~dfsg-2ubuntu4) precise; urgency=low

  * debian/rules: Let the ghostscript binary package also provide gs-esp,
    as several proprietary printer drivers still depend on gs-esp (LP: #897309).
 -- Till Kamppeter <email address hidden> Fri, 2 Dec 2011 11:35:59 +0100

Changed in ghostscript (Ubuntu):
status: Fix Committed → Fix Released
Till Kamppeter (till-kamppeter) wrote :

Uploaded fixed package to oneiric-proposed. As soon as it gets approved for testing a comment with testing instructions will get posted here. Please test then and report back here so that the package can get an official update for Oneiric. Thanks.

debdiff of the SRU is attached.

Pavlo Verba (pavlo.s.verba) wrote :

I have already tested that.

I downloaded «gs-esp» via packages.ubuntu.com, specifically the
transitional package that was present in Maverick and the driver for my
Canon MF4018 installed and worked flawlessly.

On Fri, Dec 2, 2011 at 3:17 PM, Launchpad Bug Tracker <
<email address hidden>> wrote:

> ** Branch linked: lp:ubuntu/ghostscript
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/897309
>
> Title:
> Package «gs-esp» is still needed in Oneric and higher
>
> Status in “ghostscript” package in Ubuntu:
> Fix Released
> Status in “ghostscript” source package in Oneiric:
> Fix Committed
>
> Bug description:
> Some prineter drivers, namely those for Canon MFs still list it as
> dependency, and I am quite doubtful that we can get Canon to update
> the dependencies of packages.
>
> Right now, users have to find it and manually download it, which is
> not nice.
>
> Please, return it to the repositories.
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/ghostscript/+bug/897309/+subscriptions
>

Till Kamppeter (till-kamppeter) wrote :

Paul, for us it is important that you test our new package on an Oneiric system. As soon as the package is available we will tell you how to activate the repository of the proposed packages. With this activated and your system being updated after that the new package should be in place and the problem gone. If you have verified this and reported here, the package will be forwarded to the official updates and then every user of Oneiric will get it automatically with his updates.

Pavlo Verba (pavlo.s.verba) wrote :

I am already using Oneric Ocelot and have the «oneric-proposed» repository
enabled, I am just telling that the package I have downloaded from the
packages.ubuntu.com was from the Maverick repositories.

But of course, I will follow your instructions for the testing.

On Fri, Dec 2, 2011 at 4:47 PM, Till Kamppeter <email address hidden>wrote:

> Paul, for us it is important that you test our new package on an Oneiric
> system. As soon as the package is available we will tell you how to
> activate the repository of the proposed packages. With this activated
> and your system being updated after that the new package should be in
> place and the problem gone. If you have verified this and reported here,
> the package will be forwarded to the official updates and then every
> user of Oneiric will get it automatically with his updates.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/897309
>
> Title:
> Package «gs-esp» is still needed in Oneric and higher
>
> Status in “ghostscript” package in Ubuntu:
> Fix Released
> Status in “ghostscript” source package in Oneiric:
> Fix Committed
>
> Bug description:
> Some prineter drivers, namely those for Canon MFs still list it as
> dependency, and I am quite doubtful that we can get Canon to update
> the dependencies of packages.
>
> Right now, users have to find it and manually download it, which is
> not nice.
>
> Please, return it to the repositories.
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/ghostscript/+bug/897309/+subscriptions
>

Hello Paul, or anyone else affected,

Accepted ghostscript into oneiric-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Nobuto Murata (nobuto) wrote :

ghostscript/oneiric-proposed 9.04~dfsg-0ubuntu11.3 works fine.

I tested along the following steps:

 1. download drivers from Canon's page.
      http://cweb.canon.jp/drv-upd/lasershot/linux/captlinux.html
 2. install the drivers
      $ sudo dpkg -i cndrvcups-capt_2.30-1_i386.deb cndrvcups-common_2.30-1_i386.deb
 3. get an error
      http://paste.ubuntu.com/760577/
 4. update to -proposed package
 5. install the drivers again
 6. package installed without any error
      http://paste.ubuntu.com/760599/

Nobuto, thank you very much for testing. Marking the bug as verified.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ghostscript - 9.04~dfsg-0ubuntu11.3

---------------
ghostscript (9.04~dfsg-0ubuntu11.3) oneiric-proposed; urgency=low

  * debian/rules: Let the ghostscript binary package also provide gs-esp,
    as several proprietary printer drivers still depend on gs-esp (LP: #897309).
 -- Till Kamppeter <email address hidden> Fri, 2 Dec 2011 11:35:59 +0100

Changed in ghostscript (Ubuntu Oneiric):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers